Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.stream.watch
Class ExistsWatch

    java.lang.Object
      com.saxonica.validate.AbstractWatch
          com.saxonica.stream.watch.ComposingWatch
              com.saxonica.stream.watch.CountWatch
                  com.saxonica.stream.watch.ExistsWatch

All Implemented Interfaces:
  Watch

    public class ExistsWatch

extends CountWatch

Streaming watch supporting the exists() function

Field Summary

Fields inherited from class com.saxonica.stream.watch.CountWatch
`count`

Constructor Summary
`ExistsWatch(Expression expression, Feed result, Stack<XPathContext> contextStack)`

Method Summary
`void` | `close()` The close() method is called immediately before the Watch is destroyed, that is, when the element whose declaration scopes the constraint implemented by this Watch goes out of scope.

Methods inherited from class com.saxonica.stream.watch.CountWatch
`endSelectedParentNode, notifySelectedLeafNode, startSelectedParentNode`

Methods inherited from class com.saxonica.stream.watch.ComposingWatch
`getContext, getContextStack, getResult, open`

Methods inherited from class com.saxonica.validate.AbstractWatch
`getAnchorNode, getNamespaceResolver, getPipelineConfiguration, getSelection, setAnchorNode, setNamespaceResolver, setPipelineConfiguration, setSelection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExistsWatch

    public ExistsWatch(Expression expression,
                       Feed result,
                       Stack<XPathContext> contextStack)

Method Detail

### close

    public void close()
               throws XPathException

  Description copied from class: `CountWatch`
  The close() method is called immediately before the Watch is destroyed, that is, when the element whose declaration scopes the constraint implemented by this Watch goes out of scope.

  Specified by:
    `close` in interface `Watch`
  Overrides:
    `close` in class `CountWatch`
  Throws:
    `XPathException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.